Subject: Re: bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: João Távora <[email-masked]>
Date: Tue, 29 Jun 2021 21:55:36 +0100

On Tue, Jun 29, 2021 at 9:46 PM Stefan Monnier <[email-masked]> wrote:
>
> >> +  Lisp mode is the major mode for editing programs written in Common
> >> +Lisp or its ancestor dialects.  Its mode command is @kbd{M-x
>
> I think we should remove "or its ancestor dialects" here.

That also works for me, but as you said, it might work reasonably
well for MacLisp etc, too.

> >>  (define-derived-mode lisp-mode lisp-data-mode "Lisp"
> >> -  "Major mode for editing Lisp code for Lisps other than GNU Emacs Lisp.
> >> +  "Major mode for editing Common Lisp code.
> > Here I'd prefer to mention CL without un-mentioning the other Lisps.
> > There's no reason to deny they exist or existed.
>
> The question is to describe what this major mode is designed to do.
>
> People who want to look at Maclisp code (or other defunct dialects) will
> probably want to use `lisp-mode` for the simple reason that Maclisp is
> reasonably close to Common Lisp so it's the closest major mode we have
> to offer, but the user should not expect correct handling of Maclisp in
> those places where it differs from Common Lisp, because `lisp-mode` is
> written specifically for Common Lisp and not for Maclisp: compatibility
> with Maclisp has not been taken into account for more than 20
> years, AFAIK.

Yeah, but fair to say MacLisp hasn't evolved tremendously in
those years (and neither has Common Lisp sadly). So I reckon
lisp-mode wouldn't to a terrible job in most MacLisp programs.
And maybe even SLY and a modern Common Lisp compiler
could probably grok MacLisp or Franz Lisp code given sufficient
hand-holding.

Anyway, I hope the main point is across: remove suggestion
that it may be used to derive modes for _new_ lisps unrelated
to Common Lisp.

-- 
João Távora